Bug 1691474 - Network icon missing in gnome-shell
Summary: Network icon missing in gnome-shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1566642
Blocks: 1727111
TreeView+ depends on / blocked
 
Reported: 2019-03-21 17:00 UTC by Paul Gozart
Modified: 2020-03-31 19:39 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566642
Environment:
Last Closed: 2020-03-31 19:39:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot from RHEL 7.7 (286.88 KB, image/png)
2019-08-16 09:14 UTC, Pavlin Georgiev
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4188691 0 None None None 2019-05-31 22:46:48 UTC
Red Hat Product Errata RHSA-2020:1021 0 None None None 2020-03-31 19:39:39 UTC

Description Paul Gozart 2019-03-21 17:00:45 UTC
+++ This bug was initially created as a clone of Bug #1566642 +++

Description of problem:
The network icon is missing in the gnome-shell drop-down menu. I'm on a wayland session.

My network connection is a bridge with my ethernet interface.

$ nmcli connection 
NAME            UUID                                  TYPE      DEVICE 
br-lan          fd4c5cf9-0ab2-47e0-ad54-0f616b07cf79  bridge    br-lan 
enp5s0          b65d5f75-4fd0-4eb5-9269-4463c8da6d0c  ethernet  enp5s0 
virbr0          70c987b5-c8f9-4411-9e43-3c1f48103e56  bridge    virbr0 


Version-Release number of selected component (if applicable):
gnome-shell-3.28.0-1.fc28.x86_64

--- Additional comment from Juan Orti on 2018-04-13 07:57:30 MDT ---

The last updates have fixed this issue.

--- Additional comment from Juan Orti on 2018-04-25 11:43:03 MDT ---

It's happening again. I have all the 3rd-party extensions disabled.

gnome-shell-3.28.1-1.fc28.x86_64

--- Additional comment from Tomas Vanderka on 2018-05-03 11:52:33 MDT ---

I am seeing this too after upgrading f27->f28 with:

gnome-shell-3.28.1-3.fc28.x86_64

My interfaces are:

$ nmcli device
DEVICE      TYPE      STATE        CONNECTION 
enp0s31f6   ethernet  connected    Auto    
virbr0      bridge    connected    virbr0     
cdc-wdm0    gsm       unavailable  --         
wlp4s0      wifi      unavailable  --         
lo          loopback  unmanaged    --         
virbr0-nic  tun       unmanaged    --

And I see errors like these in journal:

máj 03 19:38:58 kujon gnome-shell[1331]: JS ERROR: TypeError: item is undefined
                                          _sync@resource:///org/gnome/shell/ui/status/network.js:427:17
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _parent@resource:///org/gnome/gjs/modules/_legacy.js:39:12
                                          _sync@resource:///org/gnome/shell/ui/status/network.js:505:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _addConnection@resource:///org/gnome/shell/ui/status/network.js:306:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          checkConnection@resource:///org/gnome/shell/ui/status/network.js:277:13
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _deviceAdded/<@resource:///org/gnome/shell/ui/status/network.js:1761:21
                                          _deviceAdded@resource:///org/gnome/shell/ui/status/network.js:1760:17
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _readDevices@resource:///org/gnome/shell/ui/status/network.js:1703:13
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _clientGot@resource:///org/gnome/shell/ui/status/network.js:1663:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

--- Additional comment from Juan Orti on 2018-05-23 13:33:42 MDT ---

The VPN lock icon is also missing when connecting to a VPN.

--- Additional comment from Alireza on 2018-06-01 01:01:23 MDT ---

I'm having the exact same issue that Tomas Vanderka has. The Network and VPN icons are gone.

tested with gnome-shell "3.28.2" and "3.29.1" on ArchLinux.

--- Additional comment from Manuel Buchheit on 2018-06-04 04:44:38 MDT ---

Same here on Fedora 28 gnome-shell 3.28.2 on two Notebooks and one PC.
All three with Intel-NICs.

--- Additional comment from  on 2018-06-04 08:59:34 MDT ---

Had the same issue on Fedora 28 (upgraded from 27), gnome-shell 3.28.2.1.  This was occurring with the _second_ user.  I found an old thread indicating that there was an issue with connections being made available to other users.  Note that connections on the user account with the issue were coming from the _first_ user.  Unchecked the "Make available to other users" on all connections (or deleted them if now unneeded) on the first user.  All connections now show up properly for the first and second user. (Note some of them had to be created).

--- Additional comment from Manuel Buchheit on 2018-06-05 06:48:49 MDT ---

This does not resolve the Problem. I previously deleted all connections and created them again (with "Make available to other users" unchecked).
The icon does appear 1 out of 15 reboots. The next time the machine reboots the icon disappears an there are only a view connections visible. 
When I jump between some visible connections the icon appears but it only shows up "connected" where "Wired Connected" should be and you can't see which connection is active.

--- Additional comment from Tim Niemueller on 2018-06-08 02:59:52 MDT ---

Having the same issue, wifi connections don't appear in the Gnome Shell menu. When connected only to wifi, I get a "wired connection" icon in the top bar, but no wireless menu and no signal strength indicator. It seems to be tracked upstream with the referenced issue, but nothing has actually happened from the actual developers it seems. Gnome shell is having an increasing number of issues and floods a lot of errors in the log on F28 :-/

My standard connections are not shared among users. So this does not seem to be the problem (or not the only one).

Error message here is slightly different:
JS ERROR: TypeError: item is undefined
_activeConnectionChanged@resource:///org/gnome/shell/ui/status/network.js:371:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

--- Additional comment from Alexey Muranov on 2018-08-01 01:31:49 MDT ---

Possibly relevant upstream bug: https://gitlab.gnome.org/GNOME/gnome-shell/issues/140

Comment 9 Pavlin Georgiev 2019-08-16 09:14:55 UTC
Created attachment 1604318 [details]
Screenshot from RHEL 7.7

TEST SETUP
Distro: RHEL 7.7 Workstation Released
Component version: gnome-shell-3.28.3-11.el7


TEST PROCEDURE
1. Install distro RHEL-7.7.
2. Log in to a GNOME session.
3. Switch regional settings to Spanish.
4. Restart the GNOME session.
5. Check the network icon.
Then does NOT appear anymore.


RESULT
Upgrading component: gnome-shell
    from: 3.28.1-3
      to: 3.28.3-11
has fixed the bug.

Comment 11 errata-xmlrpc 2020-03-31 19:39:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1021


Note You need to log in before you can comment on or make changes to this bug.